Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.colorer.eclipse
Class EclipsecolorerPlugin

    java.lang.Object
      AbstractUIPlugin
          net.sf.colorer.eclipse.EclipsecolorerPlugin

public class EclipsecolorerPlugin
extends AbstractUIPlugin

The main plugin class to be used in the desktop.

Constructor Summary
`EclipsecolorerPlugin(IPluginDescriptor descriptor)` The constructor.

Method Summary
`ColorManager` | `getColorManager()`
`static EclipsecolorerPlugin` | `getDefault()` Returns the shared instance.
`ParserFactory` | `getParserFactory()`
`static IWorkspace` | `getWorkspace()` Returns the workspace instance.
`void` | `reloadParserFactory()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EclipsecolorerPlugin

    public EclipsecolorerPlugin(IPluginDescriptor descriptor)

  The constructor.

Method Detail

### getDefault

    public static EclipsecolorerPlugin getDefault()

  Returns the shared instance.

### getParserFactory

    public ParserFactory getParserFactory()

### getColorManager

    public ColorManager getColorManager()

### reloadParserFactory

    public void reloadParserFactory()

### getWorkspace

    public static IWorkspace getWorkspace()

  Returns the workspace instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Cail Lomecb. All Rights Reserved.